Subject: Re: bug#51144: GNU grep 3.7 fails to build on FreeBSD

From: Paul Eggert <[email-masked]>
Date: Tue, 12 Oct 2021 12:50:55 -0700

On 10/11/21 19:53, Alexey Dokuchaev via Bug reports for GNU grep wrote:

>    +#define STACK_DIRECTION

I don't observe this problem when I build GNU grep 3.7 on FreeBSD 
13.0-RELEASE amd64.

I suppose the problem is platform-dependent. Could you please send 
details about your platform? Also, what did 'configure' say when it 
attempted to configure stack direction, and what got put into 
config.log? On my platform, config.log says:

configure:35646: checking for stack direction
configure:35741: result: grows down

and config.h says:

#define STACK_DIRECTION -1

which is correct for amd64.